# SkyTube
**An open-source YouTube player for the Android operating system.**

<a href="#download">![Download APK](https://img.shields.io/github/downloads/ram-on/SkyTube/total.svg?label=SkyTube+Extra+Downloads)</a>
<a href="https://hosted.weblate.org/engage/skytube/?utm_source=widget"> <img src="https://hosted.weblate.org/widgets/skytube/-/svg-badge.svg" alt="Translate"/> </a>

<p align="center">
  <a href="#features">Features</a> | 
  <a href="#download"><img src="https://i.imgur.com/BYKw7FK.png" />Download</a> | 
  <a href="#why-skytube">Why SkyTube?</a> | 
  <a href="#screenshots">Screenshots</a> | 
  <a href="#contribute">Contribute</a> | 
  <a href="#license">License</a>
</p>

## Features
### Innovative Features
* Video blocker which includes the following features **[New!]**:
  - Channel blacklisting **[New!]**
  - Channel whitelisting **[New!]**
  - Block videos if their language is not the same as the user's preferred one(s) **[New!]**
  - Low views video blocking **[New!]**
  - High dislikes video blocking **[New!]**
  - Icon in the toolbar displaying how many videos were blocked **[New!]**
* Videos watched or partially watched are marked accordingly.  Resume playing feature also implemented. **[New!]**
* Video swipe controls, including volume, brightness, comments and video description controls. **[New!]**
* Bookmark videos
* Import subscriptions from YouTube
* Play channels' playlists
* Download videos
* View and download video thumbnails

### Traditional Features
* Explore Featured and Most Popular videos
* Browse YouTube channels
* Play YouTube videos
* View video comments
* Search videos, music and channels
* Channel subscription & non-intrusive notifications
* Subscriptions feed

More features will be added in the near future.

## Download
| Feature          | SkyTube Extra                      | SkyTube  |
| ---------------- |------------------------------------| ---------|
| Description      | Contains extra features that are powered by non-OSS libraries. | Fully open-source and free software. |
| GPLv3 license                    | ✅                   | ✅       |
| Official YouTube player support* | ✅                   | ❌       |
| Updates availability             | Immediate            | Normally up to 5 days |
| Download APK                     | [![Download SkyTube Extra APK](screenshots/download_apk.png)](https://github.com/ram-on/SkyTube/releases/download/v2.93/SkyTube-Extra-2.93.apk) | [![Download SkyTube (Vanilla) APK](https://upload.wikimedia.org/wikipedia/commons/thumb/0/0d/Get_it_on_F-Droid.svg/200px-Get_it_on_F-Droid.svg.png)](https://f-droid.org/repository/browse/?fdid=free.rm.skytube.oss)

_* powered by a closed-source, third-party library._

## Why SkyTube?
* Free and Open-Source
* Innovative design
* No intrusive ads
* Multilingual
* Not dependent on the GAPPS/Google Apps (i.e. YouTube official app)
* No need for Google/YouTube account to operate
* My code does not spy on your behaviour!

## Screenshots
### Mobile
[<img src="https://ram-on.github.io/SkyTube/assets/img/screenshots/trending.jpg" width=250>](https://ram-on.github.io/SkyTube/assets/img/screenshots/trending.jpg)
[<img src="https://ram-on.github.io/SkyTube/assets/img/screenshots/subs.jpg" alt="Subscriptions" width="250" />](https://ram-on.github.io/SkyTube/assets/img/screenshots/subs.jpg)
[<img src="https://ram-on.github.io/SkyTube/assets/img/screenshots/video_blocker.jpg" alt="Video Blocker" width="250" />](https://ram-on.github.io/SkyTube/assets/img/screenshots/video_blocker.jpg")

[<img src="https://ram-on.github.io/SkyTube/assets/img/screenshots/play.jpg" alt="Play video" width="250" />](https://ram-on.github.io/SkyTube/assets/img/screenshots/play.jpg")
[<img src="https://ram-on.github.io/SkyTube/assets/img/screenshots/channel.jpg" alt="Browse channel" width="250" />](https://ram-on.github.io/SkyTube/assets/img/screenshots/channel.jpg")

### Tablet
![Browse channel using tablet](https://ram-on.github.io/SkyTube/assets/img/screenshots/channel_tablet.jpg)

## Contribute
This project was possible with the support and contribution of [numerous volunteers and third-party projects](http://skytube-app.com/credits.html).

Help us improve this project by [translating](https://github.com/ram-on/SkyTube/wiki/Contribute#translate) or by [coding](https://github.com/ram-on/SkyTube/wiki/Contribute#developers-guidelines)!

## License
[![GNU GPLv3 Image](https://www.gnu.org/graphics/gplv3-127x51.png)](https://www.gnu.org/licenses/gpl-3.0.en.html)  

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation (version 3 of the License).

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a [copy of the GNU General Public License](https://raw.githubusercontent.com/ram-on/SkyTube/master/LICENSE)
along with this program.  If not, see https://www.gnu.org/licenses/.

This project is not affiliated with YouTube™ or any of its partners and/or products.
YouTube™ and Android™ are registered trademarks of Google Inc.
